PROGRAM museumsbesucher
	IMPLICIT NONE
	
	INTEGER,DIMENSION(14:27) :: besucher
	INTEGER :: ios, i
	INTEGER, DIMENSION(2,2) :: wochenende
	 
	OPEN(UNIT=31,FILE='Besucherzahlen_Januar.txt',IOSTAT=ios,STATUS='OLD',ACTION='READ')
	IF(ios==0) THEN 
		!Einlesen der Besucheranzahl aus der Datei 
		DO i=14,27
			READ(31,*,IOSTAT=ios) besucher(i)
			IF(ios/=0) THEN 
				WRITE(*,*) 'Fehler beim Lesen aus der Datei.'
				EXIT
			END IF 
		END DO 
		CLOSE(31)
	ELSE 
		WRITE(*,*) 'Fehler beim Öffnen der Datei.'
	END IF 
	
	!Besucheranzahl an jedem Tag um 5 verringern 
	besucher = besucher - 5 
	
	!Ausgabe Tag mit meisten und wenigsten Besuchern 
	!bei dem Datum müssen wir MAXLOC noch um LBOUND(besucher)-1 erhöhen, da MAXLOC von 1 beginnend zählt
	WRITE(*,*) 'Meistbesuchter Tag: ', MAXLOC(besucher)+LBOUND(besucher)-1,'. Januar mit ', MAXVAL(besucher),' Besuchern'
	WRITE(*,*) 'Wenigstbesuchter Tag: ', MINLOC(besucher)+LBOUND(besucher)-1,'.Januar mit ', MINVAL(besucher),' Besuchern'
	
	!Abspeichern des Wochenendes mit Teilfeldzugriff
	wochenende(1,:) = besucher(19:20)
	wochenende(2,:) = besucher(26:27) 
	
	!wochenende>=20 liefert Array mit logischen Werten
	!ALL prüft, ob alle Einträge des entstandenen Arrays .TRUE. sind
	WRITE(*,*) 'Waren am Wochenende immer mehr als 20 da?', ALL(wochenende>=20) 
 
END PROGRAM 