program taschenrechner
    implicit none
    
    INTEGER :: a, b ! Variablen
    CHARACTER :: op ! Operator
    INTEGER :: res  ! Result

    CHARACTER :: end 

    DO 
        WRITE(*,*) "Gebe zwei Zahlen ein!"
        READ(*,*) a, b

        WRITE(*,*) "Gebe einen Rechenoperator (+,-,*,/) ein!"
        DO ! Eingabe wird wiederholt, wenn der Operaor ungültig ist
            READ(*,*) op
            IF (op == "+" .OR. op == "-" .OR. op == "*" .OR. op == "/") EXIT
            WRITE(*,*) "Die Eingabe ist ungueltig. Gebe einen neuen Operator ein."
        END DO

        SELECT CASE (op)
        CASE("+")
            res = a + b
        CASE("-")
            res = a - b
        CASE("*")
            res = a * b
        CASE("/")

            DO ! Hiermit wird Division durch 0 ausgeschlossen, ohne die Rechnung abzubrechen
            IF (b == 0) THEN
                WRITE(*,*) "Division durch 0 ist veboten! Gebe die zweite Zahl erneut ein."
                READ(*,*) b
            END IF
            END DO
            
            res = a / b
            
        CASE DEFAULT
            WRITE(*,*) "Der Eingegebene Operator ist ungueltig."
        END SELECT


        WRITE(*,*) "Das Ergebnis ist ", res

        ! Austrittsbedingung
        WRITE(*,*) "Soll eine weitere Rechnung statt finden? (j/n)"
        READ(*,*) end
        IF(end == "n") EXIT

    END DO

end program taschenrechner